What browsers does Jellytelly support?

We support Chrome*, FireFox*, Edge*, Safari 5.1 , and Internet Explorer 11 and up

*Jellytelly should work with all recent versions of Chrome, Safari, and Firefox. If you find that you are experiencing issues, please first make sure you are up-to-date with the latest version available for your browser. If you are using an unsupported browser, please switch to one of the recommendations listed above.  

If your browser and device software are up-to-date, and you are still experiencing issues, check out this guide for basic troubleshooting steps.

 

If you have any other questions, please don't hesitate to reach out to us by clicking on the Contact option on the right upper side of the screen or by sending an email to support@jellytelly.com. We'd be happy to help!


How did we do?